toolzerhub API Docs

Get an event (v1)

Returns one event: teams, score by period, status, tournament, season, round, venue, referee and managers. Works for every sport. An unknown id returns data: null.

1 credit / requestBilled only on success
GET
/v1/sofascore/event

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

id*integer

Event id from any event list.

Range1 <= value
curl -X GET "https://example.com/v1/sofascore/event?id=16363890" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "id": 0,    "slug": "string",    "sport": "string",    "start_time": "string",    "status": {      "code": 0,      "type": "string",      "description": "string"    },    "home": {      "id": 0,      "name": "string",      "short_name": "string",      "slug": "string",      "name_code": "string",      "national": true,      "gender": "string",      "country": {        "code": "string",        "name": "string"      },      "ranking": 0    },    "away": {      "id": 0,      "name": "string",      "short_name": "string",      "slug": "string",      "name_code": "string",      "national": true,      "gender": "string",      "country": {        "code": "string",        "name": "string"      },      "ranking": 0    },    "home_score": {      "current": 0,      "display": 0,      "periods": {        "property1": 0,        "property2": 0      },      "tiebreaks": {        "property1": 0,        "property2": 0      },      "normal_time": 0,      "overtime": 0,      "penalties": 0,      "point": "string",      "innings": {        "property1": {          "score": 0,          "wickets": 0,          "overs": 0,          "run_rate": 0,          "target_run_rate": 0        },        "property2": {          "score": 0,          "wickets": 0,          "overs": 0,          "run_rate": 0,          "target_run_rate": 0        }      }    },    "away_score": {      "current": 0,      "display": 0,      "periods": {        "property1": 0,        "property2": 0      },      "tiebreaks": {        "property1": 0,        "property2": 0      },      "normal_time": 0,      "overtime": 0,      "penalties": 0,      "point": "string",      "innings": {        "property1": {          "score": 0,          "wickets": 0,          "overs": 0,          "run_rate": 0,          "target_run_rate": 0        },        "property2": {          "score": 0,          "wickets": 0,          "overs": 0,          "run_rate": 0,          "target_run_rate": 0        }      }    },    "winner": "home",    "tournament": {      "id": 0,      "name": "string",      "slug": "string",      "stage": "string",      "category": {        "id": 0,        "name": "string",        "slug": "string",        "sport": "string",        "country": {          "code": "string",          "name": "string"        }      }    },    "season": {      "id": 0,      "name": "string",      "year": "string"    },    "round": 0,    "round_name": "string",    "venue": {      "name": "string",      "city": "string",      "country": {        "code": "string",        "name": "string"      },      "capacity": 0    },    "referee": "string",    "first_to_serve": "home",    "note": "string",    "home_manager": "string",    "away_manager": "string"  },  "details": {    "reason": "string",    "message": "string"  }}